summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Strogin <stefan.strogin@gmail.com>2018-11-01 22:52:55 +0200
committerPatrice Clement <monsieurp@gentoo.org>2018-11-10 23:42:38 +0100
commiteb54fb089547f48334299d2ffb55d806a8246204 (patch)
treeee746365aa3325fc0a0aeb6ce1add33186a53a9b /x11-plugins
parentx11-plugins/purple-hangouts: drop old. (diff)
downloadgentoo-eb54fb089547f48334299d2ffb55d806a8246204.tar.gz
gentoo-eb54fb089547f48334299d2ffb55d806a8246204.tar.bz2
gentoo-eb54fb089547f48334299d2ffb55d806a8246204.zip
x11-plugins/purple-hangouts: add live ebuild.
Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Stefan Strogin <stefan.strogin@gmail.com> Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'x11-plugins')
-rw-r--r--x11-plugins/purple-hangouts/purple-hangouts-9999.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/x11-plugins/purple-hangouts/purple-hangouts-9999.ebuild b/x11-plugins/purple-hangouts/purple-hangouts-9999.ebuild
new file mode 100644
index 00000000000..2a8db6f38b1
--- /dev/null
+++ b/x11-plugins/purple-hangouts/purple-hangouts-9999.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs mercurial
+
+DESCRIPTION="Hangouts Plugin for libpurple"
+HOMEPAGE="https://bitbucket.org/EionRobb/purple-hangouts"
+EHG_REPO_URI="https://bitbucket.org/EionRobb/purple-hangouts"
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+ dev-libs/glib:2
+ dev-libs/json-glib
+ dev-libs/protobuf-c:=
+ net-im/pidgin
+ sys-libs/zlib"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ default
+
+ # Does not respect CFLAGS
+ sed -i Makefile -e 's/-g -ggdb//g' || die
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ PKG_CONFIG="$(tc-getPKG_CONFIG)"
+}
+
+src_install() {
+ emake \
+ PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+ DESTDIR="${ED}" \
+ install
+
+ einstalldocs
+}